-- Stored procedure
CREATE PROCEDURE [dbo].[C6_S_WritePDFintoDB_CU]
	@CodiceContratto as varchar(11),
	@Rete as varchar(1),
	@CodiceFiscale as varchar(16),
	@NomeCliente as varchar(50),
	@CognomeCliente as varchar(50),
	@TipoReport as varchar(15),
	@img as image = null,
	@CodicePB as varchar(6),
	@NomePB as varchar(50) = null,
	@CognomePB as varchar(50) = null,
	@NumeroPagine as int,
	@codReport as int=0,
	@Identificativo as int=0
AS
BEGIN
	SET NOCOUNT ON;
	SET @Identificativo =0
	--DECLARE @Identificativo AS INT
	INSERT INTO [dbo].[C6ReportFisico]
		   ([CodiceContratto]
			,[Rete]
		   ,[Cliente]
		   ,[NomeCliente]
		   ,[CognomeCliente]
		   ,[TipoReport]
		   ,[Data]
		   ,[StatoVerifica]
		   ,[StatoLock]
		   ,[Image]
		   ,[CodicePB]
		   ,[NomePB]
		   ,[CognomePB]
		   ,[NumeroPagine]
		   ,[FlagPeriodico])
	 VALUES
		   (@CodiceContratto,
			@Rete,
			@CodiceFiscale,
			@NomeCliente,
			@CognomeCliente,
			@TipoReport,
			getDate(),
			'1',
			'1',
			@img,
			@CodicePB,
			@NomePB,
			@CognomePB,
			@NumeroPagine,
			0)
	SET @Identificativo = @@identity
	INSERT INTO [SEIReport].[dbo].[RepositoryMetadati]
			   ([idInrepository]
			   ,[rete]
			   ,[cod_agente]
			   ,[idCliente]
			   ,[cod_fiscale]
			   ,[cognome]
			   ,[nome]
			   ,[tipoReport]
			   ,[dataGenerazione]
			   ,[flagLock]
			   ,[flagStoricizzato]
			   ,[flagDefinitivo]
			   ,[repository]
			   ,[CodiceContratto]
			   ,[Note])
	VALUES(
		@identificativo,
		@Rete,
		@CodicePB,
		319,
		@CodiceFiscale,
		@CognomeCliente,
		@NomeCliente,
		1,
		getDate(),
		1,
		0,
		0,         /* en_201609298 */
		1,
		@CodiceContratto,
		'Report Centralizzato'
	)
	--return @identificativo
	select @identificativo
END